Bug 183136 - Update port: converters/py-unidecode Upgrade to 0.04.14
Summary: Update port: converters/py-unidecode Upgrade to 0.04.14
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Kubilay Kocak
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-10-21 00:40 UTC by Douglas Thrift
Modified: 2013-10-24 11:30 UTC (History)
1 user (show)

See Also:


Attachments
py-unidecode.2013-10-20T232710Z.diff (1.77 KB, patch)
2013-10-21 00:40 UTC, Douglas Thrift
no flags Details | Diff
py-unidecode.2013-10-21T002708Z.diff (24.45 KB, patch)
2013-10-21 01:31 UTC, Douglas Thrift
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Douglas Thrift 2013-10-21 00:40:01 UTC
Upgrade converters/py-unidecode to 0.04.14. Add STAGE support.

https://redports.org/buildarchive/20131020231300-8260/
https://redports.org/buildarchive/20131020231448-49125/

From ChangeLog:

2013-09-20      unidecode 0.04.14

        * Revert transliteration for Latin characters with umlauts back
          to language-neutral, unaccented characters.
        * Added transliterations for circled numbers, letters and ordinals.
        * Minor fixes to rarely used punctuation characters.
Comment 1 Edwin Groothuis freebsd_committer 2013-10-21 00:40:14 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-python

freebsd-python@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 Douglas Thrift 2013-10-21 01:31:44 UTC
Oops! I forgot about PYDISTUTILS_AUTOPLIST. I've attached a patch that
adds that as well.
-- 
Douglas William Thrift
<douglas@douglasthrift.net>
<http://douglasthrift.net/>
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2013-10-24 04:19:39 UTC
Responsible Changed
From-To: freebsd-python->koobs

I'll take it.
Comment 4 dfilter service freebsd_committer 2013-10-24 11:26:18 UTC
Author: koobs
Date: Thu Oct 24 10:26:07 2013
New Revision: 331473
URL: http://svnweb.freebsd.org/changeset/ports/331473

Log:
  converters/py-unicdecode: Update to 0.04.14, Enable STAGE and auto-plist
  
  - Update to 0.04.14
  - Enable auto plist generation & remove pkg-plist accordingly
  - Enable STAGE support
  
  While I'm here:
  
  - Whitespace alignment
  - Re-order a couple of Makefile entries
  
  Changes: 2013-09-20 unidecode 0.04.14
  
   * Revert transliteration for Latin characters with umlauts back
     to language-neutral, unaccented characters.
   * Added transliterations for circled numbers, letters and ordinals.
   * Minor fixes to rarely used punctuation characters.
  
  PR:		ports/183136
  Submitted by:	Douglas Thrift <douglas@douglasthrift.net>
  Approved by:	maintainer

Deleted:
  head/converters/py-unidecode/pkg-plist
Modified:
  head/converters/py-unidecode/Makefile   (contents, props changed)
  head/converters/py-unidecode/distinfo   (contents, props changed)

Modified: head/converters/py-unidecode/Makefile
==============================================================================
--- head/converters/py-unidecode/Makefile	Thu Oct 24 10:20:55 2013	(r331472)
+++ head/converters/py-unidecode/Makefile	Thu Oct 24 10:26:07 2013	(r331473)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	unidecode
-PORTVERSION=	0.04.13
+PORTVERSION=	0.04.14
 CATEGORIES=	converters python
 MASTER_SITES=	CHEESESHOP
 PKGNAMEPREFIX=	${PYTHON_PKGNAMEPREFIX}
@@ -13,11 +13,11 @@ COMMENT=	ASCII transliterations of Unico
 
 LICENSE=	GPLv2
 
-USE_PYTHON=	yes
+USE_PYTHON=		yes
 USE_PYDISTUTILS=	yes
+PYDISTUTILS_AUTOPLIST=	yes
 PYDISTUTILS_PKGNAME=	Unidecode
 
-NO_STAGE=	yes
 .include <bsd.port.pre.mk>
 
 .if ${PYTHON_REL} >= 320

Modified: head/converters/py-unidecode/distinfo
==============================================================================
--- head/converters/py-unidecode/distinfo	Thu Oct 24 10:20:55 2013	(r331472)
+++ head/converters/py-unidecode/distinfo	Thu Oct 24 10:26:07 2013	(r331473)
@@ -1,2 +1,2 @@
-SHA256 (Unidecode-0.04.13.tar.gz) = ca58bf0ce984a20ad3a5d7fdbb7e773d8d1e5fd1570951e47c1908eed8fe0442
-SIZE (Unidecode-0.04.13.tar.gz) = 200125
+SHA256 (Unidecode-0.04.14.tar.gz) = a66f8a527ee0709742caa16745cc882b85d6cfc12b37fa2f56024d07031f230c
+SIZE (Unidecode-0.04.14.tar.gz) = 200860
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 Kubilay Kocak freebsd_committer freebsd_triage 2013-10-24 11:27:04 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks Douglas!